Skip to content
Documentation

Rotate Cluster Credentials (Prometheus)

v2
OpenAPI 3.1.0

ClusterNest API

To get started, generate an access token via the POST /auth/token endpoint below. Afterwards include the token as Bearer in the Authorization header of all requests. e.g. Authorization: Bearer <your_access_token>.

Client Libraries

prometheus

​

Rotate Cluster Credentials

​

Path Parameters

  • Integer numbers.

Responses

  • application/json
  • application/json
Request Example for post/cluster/prometheus/{cluster_id}/credentials
curl /cluster/prometheus/1/credentials \
  --request POST \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "admin": "string",
  "readonly": "string",
  "write": "string"
}